> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Pre Encounter Eligibility Checks V 1 Batch

POST https://api.taigabilling.com/eligibility-checks/v1/batch
Content-Type: application/json

Sends a batch of eligibility checks to payers through Stedi.

Reference: https://docs.taigabilling.com/api-reference/pre-encounter-eligibility-checks-v-1/pre-encounter-eligibility-checks-v-1-batch

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Body (application/json)

This endpoint expects a list of pre-encountereligibilityChecksv1EligibilityRequest.

- `list of pre-encountereligibilityChecksv1EligibilityRequest`

## Response

### 200

- `batch_id` (string, required)
- `submitted_at` (datetime, required)

## Types

### pre-encountereligibilityChecksv1EligibilityRequest

An object representing the data for an eligibility request.

- `payer_id` (string, required) — Supported payer ID values can be found [here](https://www.stedi.com/healthcare/network).
- `provider` (pre-encountereligibilityChecksv1Provider, required)
- `subscriber` (pre-encountercoveragesv1MemberInfo, required) — The primary policyholder for the insurance plan or a dependent with a unique member ID. If a dependent has a unique member ID, include their information here and leave dependent undefined.
- `submitter_transaction_identifier` (string, optional, nullable) — A unique identifier for the eligibility check within the batch. Taiga returns this identifier in the response for the /batch/\{batch\_id} polling endpoint so you can correlate benefit responses with the original eligibility check.
- `dependent` (pre-encountercoveragesv1MemberInfo, optional, nullable) — If a dependent has a unique member ID, include their information as subscriber and leave this field undefined.
- `encounter` (pre-encountereligibilityChecksv1Encounter, optional, nullable)
- `get_existing_check_initiated_after` (datetime, optional, nullable) — If not provided, this endpoint will run a fresh eligibility check. If provided, it will return an existing successful eligibility check if one exists that was initiated after provided date with the same parameters (Date of Service, Payer ID, Provider, Subscriber, Dependent, and Encounter).
- `source` (string, optional, nullable)
- `portal_password` (string, optional, nullable) — The password that the provider uses to log in to the payer's portal. This is not commonly used.
- `portal_username` (string, optional, nullable) — The username that the provider uses to log in to the payer's portal. This is not commonly used.

### pre-encountereligibilityChecksv1Provider

- pre-encountereligibilityChecksv1IndividualProvider: pre-encountereligibilityChecksv1IndividualProvider
- pre-encountereligibilityChecksv1OrganizationProvider: pre-encountereligibilityChecksv1OrganizationProvider

### pre-encountercoveragesv1MemberInfo

- `first_name` (string, required)
- `last_name` (string, required)
- `member_id` (string, optional, nullable) — Stedi requires that you supply at least one of these fields in the request: memberId, dateOfBirth, or lastName. However, each payer has different requirements, so you should supply as many of the fields necessary for each payer to identify the subscriber/dependent in their system.
- `date_of_birth` (date, optional, nullable) — Stedi requires that you supply at least one of these fields in the request: memberId, dateOfBirth, or lastName. However, each payer has different requirements, so you should supply as many of the fields necessary for each payer to identify the subscriber/dependent in their system.

### pre-encountereligibilityChecksv1Encounter

- `date_of_service` (date, optional, nullable) — Defaults to the current date if not provided.
- `service_type_codes` (list of string, optional, nullable) — Defaults to HealthBenefitPlanCoverage (30) if not provided. Not all payers support multiple service type codes, so it is recommended to only include a single code per request.

### pre-encountereligibilityChecksv1IndividualProvider

- `npi` (string, required)
- `first_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)

### pre-encountereligibilityChecksv1OrganizationProvider

- `npi` (string, required)
- `organization_name` (string, optional, nullable)

## Examples

**Request**

```json
[
  {
    "payer_id": "string",
    "provider": {
      "npi": "string"
    },
    "subscriber": {
      "first_name": "string",
      "last_name": "string"
    }
  }
]
```

**Response**

```json
{
  "batch_id": "string",
  "submitted_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/eligibility-checks/v1/batch"

payload = [
    {
        "payer_id": "string",
        "provider": { "npi": "string" },
        "subscriber": {
            "first_name": "string",
            "last_name": "string"
        }
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```